org.apache.xmlbeans

## Interface SchemaIdentityConstraint

All Superinterfaces:
  SchemaAnnotated, SchemaComponent

All Known Implementing Classes:
  SchemaIdentityConstraintImpl

    public interface SchemaIdentityConstraint
    extends SchemaComponent, SchemaAnnotated

Represents an identity constraint definition.

### Nested Class Summary

Nested Classes
`static class` `SchemaIdentityConstraint.Ref` Used to allow on-demand loading of identity constraints.

### Field Summary

Fields
`static int` `CC_KEY` A xs:key constraint.
`static int` `CC_KEYREF` A xs:keyRef constraint.
`static int` `CC_UNIQUE` A xs:unique constraint.

### Fields inherited from interface org.apache.xmlbeans.SchemaComponent

`ANNOTATION, ATTRIBUTE, ATTRIBUTE_GROUP, ELEMENT, IDENTITY_CONSTRAINT, MODEL_GROUP, NOTATION, TYPE`

### Method Summary

All Methods Instance Methods Abstract Methods
`int` `getConstraintCategory()` Return the constraint category.
`Object` `getFieldPath(int index)` Return a compiled xpath object for the field.
`String[]` `getFields()` Return (a copy of) the xpaths for all the fields.
`Map<String,String>` `getNSMap()` Return a read-only copy of the namespace map.
`SchemaIdentityConstraint` `getReferencedKey()` Returns the key that a key ref refers to.
`String` `getSelector()` Return the selector xpath as a string.
`Object` `getSelectorPath()` Return a compiled xpath object for the selector.
`Object` `getUserData()` Returns user-specific information.

### Methods inherited from interface org.apache.xmlbeans.SchemaComponent

`getComponentRef, getComponentType, getName, getSourceName, getTypeSystem`

### Methods inherited from interface org.apache.xmlbeans.SchemaAnnotated

`getAnnotation`

### Field Detail

#### CC_KEY

    static final int CC_KEY

A xs:key constraint. See `getConstraintCategory()`.

See Also:
  Constant Field Values

#### CC_KEYREF

    static final int CC_KEYREF

A xs:keyRef constraint. See `getConstraintCategory()`.

See Also:
  Constant Field Values

#### CC_UNIQUE

    static final int CC_UNIQUE

A xs:unique constraint. See `getConstraintCategory()`.

See Also:
  Constant Field Values

### Method Detail

#### getSelector

    String getSelector()

Return the selector xpath as a string.

#### getSelectorPath

    Object getSelectorPath()

Return a compiled xpath object for the selector.

#### getFields

    String[] getFields()

Return (a copy of) the xpaths for all the fields.

#### getFieldPath

    Object getFieldPath(int index)

Return a compiled xpath object for the field.

#### getNSMap

    Map<String,String> getNSMap()

Return a read-only copy of the namespace map. This is the set of prefix to URI mappings that were in scope in the schema at the point at which this constraint was declared

#### getConstraintCategory

    int getConstraintCategory()

Return the constraint category. Either `CC_KEY`, `CC_KEYREF`, or `CC_UNIQUE`.

#### getReferencedKey

    SchemaIdentityConstraint getReferencedKey()

Returns the key that a key ref refers to. Only valid for keyrefs.

#### getUserData

    Object getUserData()

Returns user-specific information.

See Also:
  `SchemaBookmark`